com.h3c.sdn.adm

## Enum TeammateCommandExecutorService.CancellationCause

- java.lang.Object
- - java.lang.Enum<TeammateCommandExecutorService.CancellationCause>
  - - com.h3c.sdn.adm.TeammateCommandExecutorService.CancellationCause

- All Implemented Interfaces:
    Serializable, Comparable<TeammateCommandExecutorService.CancellationCause>
  Enclosing interface:
    TeammateCommandExecutorService

      public static enum TeammateCommandExecutorService.CancellationCause
      extends Enum<TeammateCommandExecutorService.CancellationCause>

  Cancellation cause.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTROLLER_STATUS_DOWN` Controller is down

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TeammateCommandExecutorService.CancellationCause` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeammateCommandExecutorService.CancellationCause[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTROLLER_STATUS_DOWN

          public static final TeammateCommandExecutorService.CancellationCause CONTROLLER_STATUS_DOWN

      Controller is down

  - ### Method Detail

    - #### values

          public static TeammateCommandExecutorService.CancellationCause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeammateCommandExecutorService.CancellationCause c : TeammateCommandExecutorService.CancellationCause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeammateCommandExecutorService.CancellationCause valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.